package com.hzya.frame.sys.appApi.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.uuid.UUIDUtils;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


public class AppApiDto {
	/** 主键ID */
	private String id;
	/** 应用id(应用表主键) */
	private String appId;
	/** 接口名称 */
	private String apiName;
	/** 接口编码 */
	private String apiCode;
	private Integer pageNum;
	private Integer pageSize;
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getApiName() {
		return apiName;
	}

	public void setApiName(String apiName) {
		this.apiName = apiName;
	}

	public String getApiCode() {
		return apiCode;
	}

	public void setApiCode(String apiCode) {
		this.apiCode = apiCode;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
}
